locked
AutoCAD 2015 Can't Install Because It Doesn't See .NET 4.5 RRS feed

  • Вопрос

  • I've tried some setup.ini mods that I found online to try and get autocad to not look for .NET 4.5 but it still doesn't want to install. I get through the preliminary install steps, then when it goes to actually install the AutoCAD program, it fails and rolls everything back. It gives me the error message:

    ".NET 4.5 is not insalled. AutoCAD 2015 cannot be installed without this component. See your system administrator for more information."

    Any ideas? If I remember right, it has installed properly on all previous W10 TP builds. I'm running the latest build: 10041.

    20 марта 2015 г. 15:52

Ответы

  • Hi,

    This is because Windows 10 is already assembled with .net 4.6 which in-place update to .net 4.5, you can refer to the content of the link below for more details:

    https://support.microsoft.com/en-us/kb/2969353?wa=wsignin1.0

    In my opinion, this should be AutoCAD compatibility problem with Windows 10, it would be better to contact AutoCAD support for further assistance.


    Please remember to mark the replies as answers if they help, and unmark the answers if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com.

    • Помечено в качестве ответа Yotvb 24 марта 2015 г. 15:15
    24 марта 2015 г. 9:03
    Модератор

Все ответы

  • I have this problem too.
    22 марта 2015 г. 14:12
  • try to download and install (.NET Framework 4.5 RunTime)

    https://www.microsoft.com/en-US/download/details.aspx?id=30653


    • Изменено Ashidacchi 23 марта 2015 г. 6:41
    22 марта 2015 г. 14:32
  • I tried that. The installer says it can't run because it's embedded into my OS.
    23 марта 2015 г. 18:36
  • Hi Yotvb,
    I tried on Build 10041 and experienced the same as you.

    Sorry, I have no further idea.

    23 марта 2015 г. 22:20
  • Hi,

    This is because Windows 10 is already assembled with .net 4.6 which in-place update to .net 4.5, you can refer to the content of the link below for more details:

    https://support.microsoft.com/en-us/kb/2969353?wa=wsignin1.0

    In my opinion, this should be AutoCAD compatibility problem with Windows 10, it would be better to contact AutoCAD support for further assistance.


    Please remember to mark the replies as answers if they help, and unmark the answers if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com.

    • Помечено в качестве ответа Yotvb 24 марта 2015 г. 15:15
    24 марта 2015 г. 9:03
    Модератор
  • Agreed that it's likely the way that Autodesk is doing something they shouldn't be doing...but how willing is Autodesk going to be to fix a program for an alpha/beta (whatever Win10 TP is) version only to see that MS changes things even more before the RTM? Especially seeing that Autodesk in a few months will release a new version of AutoCAD. 

    I believe it installed properly in previous builds of W10TP, so something changed in this latest build that Autodesk couldn't foresee. I wonder how many other programs are going to run into this problem. I suppose I'll have to wait until AutoCAD 2016 comes out in a few months to see if it's any different...or wait for another build of W10. And in the meantime, I guess I'll have to boot back over to Windows 8.1 for AutoCAD.

    24 марта 2015 г. 15:15
  • I find same problem1

    And I find the CAD 2016 ZHEN-CN CAN NOT BE RUN IN 10041 AT ALL

    In 9926 is OK
    25 марта 2015 г. 1:57
  • I have the same problem. But AutoCAD 2016 works on Windows 10 TP Build 10041!
    27 марта 2015 г. 10:11
  • This is a problem in the installation package.
    The Autodesk in some .msi checks the "build" for the Framework, and in other "version".
    Problem checking «version» that is a string. And if you want to check option starts with "4.5".
    (DOTNET_INSTALLED = "# 1" AND DOTNET4_VERSION << "4.5") OR ACAD_SECONDARY_INSTALL = 1 OR ACAD_CHECK_DOTNET = 0.

    if you have version 4.6 Framevork - you need to change the value of the "version" in HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Client" - 4.5.
    after installation Autodesk - to return the previous value

    • Предложено в качестве ответа Savick 29 мая 2015 г. 16:54
    29 мая 2015 г. 16:54
  • Thank you Savick and Yotvb for making the question and answer,

    I had the problem as well and exactly was at the verge of uninstalling new build of Win10 but thanks to your guide I was able to install and work with my lovely AutoCAD Electrical 2015. Just a note to mention, when I was going to change the value of "version" I couldn't after a little bit of wondering around I found out to do that at first I should take the ownership of the folder "Client" and after taking the ownership I easily changed the value from 4.6.00042 to 4.5

    After installing AutoCAD, as you said I changed the value back to "4.6.00042".

    Cheers,

    Hiva

    • Предложено в качестве ответа Zaher Mohsen 10 июня 2015 г. 15:09
    • Отменено предложение в качестве ответа Zaher Mohsen 10 июня 2015 г. 15:09
    • Предложено в качестве ответа Zaher Mohsen 10 июня 2015 г. 15:10
    4 июня 2015 г. 7:18
  • i had the same problem , and some answeres from this page helped me to get it done ,, 
    i have some screenshots that might help u ,

    i post them in Autodesk ,, check them out

    http://forums.autodesk.com/t5/autocad-architecture-general/this-is-how-to-install-autocad-2015-to-windows-10/td-p/5671933

    10 июня 2015 г. 15:13